Chat messages
curl --request GET \
--url https://api.ofauth.com/v2/access/chats/:userId/messages \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <api-key>'{
"list": [
{
"id": 123,
"text": "<string>",
"fromUser": {
"id": 123,
"name": "<string>"
},
"media": [
{
"id": 123,
"convertedToVideo": true,
"canView": true,
"hasError": true,
"createdAt": "<string>",
"isReady": true,
"releaseForms": [
{
"id": 123,
"name": "<string>",
"partnerSource": "<string>",
"type": "<string>",
"user": {
"view": "<string>",
"id": 123,
"name": "<string>",
"username": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {
"c50": "<string>",
"c144": "<string>"
},
"ivStatus": "<string>",
"isFromGuest": true
}
}
],
"duration": 123,
"hasCustomPreview": true,
"videoSources": {
"240": "<string>",
"720": "<string>"
},
"files": {
"full": {
"url": "<string>",
"sources": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"thumb": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"preview": {
"url": "<string>",
"options": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"squarePreview": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
}
}
}
],
"previews": [
123
],
"isMediaReady": true,
"mediaCount": 123,
"lockedText": true,
"responseType": "<string>",
"giphyId": "<string>",
"isFree": true,
"isTip": true,
"isReportedByMe": true,
"isCouplePeopleMedia": true,
"queueId": 123,
"isMarkdownDisabled": true,
"releaseForms": null,
"isFromQueue": true,
"canUnsendQueue": true,
"unsendSecondsQueue": 123,
"isOpened": true,
"isNew": true,
"createdAt": "<string>",
"changedAt": "<string>",
"cancelSeconds": 123,
"isLiked": true,
"canPurchase": true,
"canPurchaseReason": "<string>",
"canReport": true,
"canBePinned": true,
"isPinned": true
}
],
"hasMore": true,
"nextLastId": "<string>"
}Messages
Chat messages
Chat messages
Permission Required: messages:read
GET
/
v2
/
access
/
chats
/
:userId
/
messages
Chat messages
curl --request GET \
--url https://api.ofauth.com/v2/access/chats/:userId/messages \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <api-key>'{
"list": [
{
"id": 123,
"text": "<string>",
"fromUser": {
"id": 123,
"name": "<string>"
},
"media": [
{
"id": 123,
"convertedToVideo": true,
"canView": true,
"hasError": true,
"createdAt": "<string>",
"isReady": true,
"releaseForms": [
{
"id": 123,
"name": "<string>",
"partnerSource": "<string>",
"type": "<string>",
"user": {
"view": "<string>",
"id": 123,
"name": "<string>",
"username": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {
"c50": "<string>",
"c144": "<string>"
},
"ivStatus": "<string>",
"isFromGuest": true
}
}
],
"duration": 123,
"hasCustomPreview": true,
"videoSources": {
"240": "<string>",
"720": "<string>"
},
"files": {
"full": {
"url": "<string>",
"sources": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"thumb": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"preview": {
"url": "<string>",
"options": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"squarePreview": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
}
}
}
],
"previews": [
123
],
"isMediaReady": true,
"mediaCount": 123,
"lockedText": true,
"responseType": "<string>",
"giphyId": "<string>",
"isFree": true,
"isTip": true,
"isReportedByMe": true,
"isCouplePeopleMedia": true,
"queueId": 123,
"isMarkdownDisabled": true,
"releaseForms": null,
"isFromQueue": true,
"canUnsendQueue": true,
"unsendSecondsQueue": 123,
"isOpened": true,
"isNew": true,
"createdAt": "<string>",
"changedAt": "<string>",
"cancelSeconds": 123,
"isLiked": true,
"canPurchase": true,
"canPurchaseReason": "<string>",
"canReport": true,
"canBePinned": true,
"isPinned": true
}
],
"hasMore": true,
"nextLastId": "<string>"
}Authorizations
Requires a connection via the x-connection-id header.
Path Parameters
Pattern:
^\d+$Query Parameters
Number of messages to return (max 10)
Required range:
1 <= x <= 10Number of messages to skip (for pagination)
Required range:
x >= 0Search/filter text
Maximum string length:
100ID of the last message from previous page. Used for cursor pagination.
Include this message ID as the first message in the results. Used to retrieve messages from e.g. the Search Chat Messages endpoint IDs.
Include user data in the response
Was this page helpful?
⌘I